﻿//
// WindowsFormsCSharp
//
// Copyright (c) 2016 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System;
using System.Data;
using System.Data.SqlClient;
using System.Windows.Forms;

namespace WindowsFormsCSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // 接続文字列。環境に合わせて修正してください
            String connectionString = "SERVER=LOCALHOST\\SQLEXPRESS;UID=sa2;PWD=sa2;DATABASE=Web";
            using (SqlConnection connection = new SqlConnection(connectionString))
            {
                // コネクションを開く
                connection.Open();

                // コマンド作成
                SqlCommand command = connection.CreateCommand();

                // ストアド プロシージャを指定
                command.CommandType = CommandType.StoredProcedure;

                // ストアド プロシージャ名を指定
                command.CommandText = "StoredProcedure_SelectSample";

                // ストアド プロシージャを実行し、SELECT結果をdataSetへ格納
                DataSet dataSet = new DataSet();
                using (SqlDataAdapter adapter = new SqlDataAdapter(command))
                {
                    adapter.Fill(dataSet);
                }

                // 結果表示
                this.dataGridView1.DataSource = dataSet.Tables[0];
            }
        }
    }
}
